from django.db import models
from django.utils.translation import ugettext_lazy as _
from cms.models.pluginmodel import CMSPlugin
from django.conf import settings

class ContactSettings(CMSPlugin):
    FORM_TEMPLATES = settings.CONTACT_FORM_CMSPLUGIN_FORM_TEMPLATES
    THANKS_TEMPLATES = settings.CONTACT_FORM_CMSPLUGIN_THANKS_TEMPLATES
    EMAIL_TEMPLATES = settings.CONTACT_FORM_CMSPLUGIN_EMAIL_TEMPLATES

    site_email = models.EmailField(_('Indirizzo di destinazione delle mail'))
    thanks = models.CharField(_('Messaggio di conferma'), max_length=200)
    form_template_name = models.CharField(max_length=100, choices=FORM_TEMPLATES, default="cms_plugins/contact_form.html")
    thanks_template_name = models.CharField(max_length=100, choices=THANKS_TEMPLATES, default="cms_plugins/contact_thanks.html")
    email_template_name = models.CharField(max_length=100, choices=EMAIL_TEMPLATES, default="cms_plugins/cantact_email.html")

    def __unicode__(self):
        return self.form_template_name

    class Meta:
        app_label = "contact_form"
