from django.utils.translation import ugettext_lazy as _
from cms.plugin_base import CMSPluginBase
from cms.plugin_pool import plugin_pool
from jmb.cms.contact_form.cms.models import ContactSettings
from jmb.cms.contact_form.cms.forms import ContactForm

class ContactPlugin(CMSPluginBase):
    model = ContactSettings
    name = _("Contact Form")

    def render(self, context, instance, placeholder):
        request = context['request']
        self.render_template = instance.form_template_name
        if request.method == "POST":
            form = ContactForm(request.POST)
            if form.is_valid():
                form.send(instance)
                context.update({'contact': instance,})
                self.render_template = instance.thanks_template_name
                return context
        else:
            form = ContactForm()

        half = len(form.fields)/2
        context.update({
            'contact': instance,
            'form': form,
            'half':half
        })
        return context
plugin_pool.register_plugin(ContactPlugin)